<?php



if (
	isset($_POST['cod_meli']) && !empty($_POST['cod_meli']) &&
	isset($_POST['name']) && !empty($_POST['name']) &&
	isset($_POST['password']) && !empty($_POST['password']) &&
	isset($_POST['txtpassword']) && !empty($_POST['txtpassword']) &&
	isset($_POST['tel']) && !empty($_POST['tel']) &&
	isset($_POST['emil']) && !empty($_POST['emil'])
) {

	$cod_meli = $_POST['cod_meli'];
	$name = $_POST['name'];
	$txtname = $_POST['txtname'];
	$password = $_POST['password'];
	$txtpassword = $_POST['txtpassword'];
	$tel = $_POST['tel'];
	$emil = $_POST['emil'];
} else
	exit("برخی از فیلد ها مقداردهی نشده است");
if ($password != $txtpassword) {
	exit("پسورد و تکرار آن یکی نیست");
}



if (filter_var($emil, FILTER_VALIDATE_EMAIL) === false) {
	exit("پست الکترونیک وارد شده صحیح نیست");
}

$link = mysqli_connect("localhost", "root", "", "shop");

if (mysqli_connect_errno()) {
	exit("خطایی با شرح زیر رخ داده است :" . mysqli_connect_error());
}



$query = "INSERT INTO user(cod_meli, name, txtname, password, txtpassword, tel , emil, type, user_type) VALUES ('$cod_meli','$name','$txtname','$password','$txtpassword','$tel','$emil','0','public')";

if (mysqli_query($link, $query) === true) {



	$query1 = "SELECT * FROM user WHERE cod_meli='$cod_meli'";
	$user = mysqli_query($link, $query1);

	$user1 = mysqli_fetch_array($user);
	if ($user1) {



		if ($user1['type'] === "0" && $user1['user_type'] === "public") {
			echo ("<p style='color:green;'><b>{$user1['name']}به فروشگاه مبل رفیعی خوش آمدید .</b></p>");


			$user1['type'] = 0;
			$user1['user_type'] = "public";
			$_SESSION["state_login"] = true;
			$_SESSION["name"] = $user1['name'];
			$_SESSION["type"] = $user1['type'] = 0;
			$_SESSION["cod_meli"] = $user1['cod_meli'];
			$_SESSION["user_type"] = $user1['user_type'] = "public";
?>
			<script type="text/javascript">
				location.replace("index.php");
			</script>


			<br>
			<?php

			echo ("<p style='color:green;'><b>" . $name . "گرامی عضدیت شمارا  با نام کاربری " . $txtname .
				"در فروشگاه مبل رفیعی تبریک می گویم " . "</b></p>");

			?>
			<script type="text/javascript">
				location.replace("index.php");
			</script>
<?php
		} else
			echo ("<p style='color:red;'<b>عضویت شما در فروشگاه انجام نشد </b></p>");
	}

	mysqli_close($link);
}
?>